#!/bin/bash

PATH="/snap/bin:/usr/local/bin:$PATH"
FILE=/var/lib/nagios/sas2ircu.out
TMP_FILE=/tmp/sas2ircu.out
RC_FILE=/var/lib/nagios/sas2ircu.rc
CMD="sas2ircu 0 DISPLAY"

if [ $# -gt 0 ]; then
    echo "This program will cache the output of 'sas2ircu 0 DISPLAY' as follows"
    echo "    stdout + stderr -> $FILE"
    echo "    return code     -> $RC_FILE"
    echo
    echo "It does not accept any option or argument"
    exit 0
fi

$CMD 2>&1 > $TMP_FILE
RC=$?
echo $RC > $RC_FILE
mv $TMP_FILE $FILE
exit 0
